<script setup lang="ts">
import { computed } from '#imports';
import type { Review } from '~/utils/types';

interface Props {
  review: Review;
}

const props = defineProps<Props>();

const formattedDate = computed(() => {
  // Format the date as needed
  return new Date(props.review.created).toLocaleDateString();
});
</script>

<template>
  <div class="review-container p-10 shadow-md rounded-md">
    <p class="review-date text-gray-600 mb-3 text-sm">{{ formattedDate }}</p>
    <div class="flex stars mb-2">
      <img
        src="/img/star-filled.svg"
        v-for="star in review.stars"
        alt=""
        :key="`filled_${star}`"
      />
    </div>
    <p class="review-text">{{ review.review }}</p>
  </div>
</template>
